package fxHarakka;

import fi.jyu.mit.fxgui.ModalController;
import fi.jyu.mit.fxgui.ModalControllerInterface;
import fxHarakka.luokat.Harakka;
import fxHarakka.luokat.Projekti;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.TabPane;
import javafx.scene.control.TextField;
import javafx.scene.input.KeyEvent;

public class LuoProjektiController implements ModalControllerInterface<String> {

    @FXML
    private Button hylkaaProjekti;

    @FXML
    private Button luoProjekti;

    @FXML
    private TextField projektiAihe;
    private String aihe = null;

    @FXML
    private TextField projektiKesto;
    private String kesto = null;
    @FXML
    private TextField projektiNimi;
    private String nimi = null;

    @FXML
    private TabPane lehti;

    @FXML
    void HylkaaProjekti(ActionEvent event) {

        ModalController.closeStage(projektiNimi); //palataan takaisin null projektin nimellä

    }

    @FXML
    void luoProjekti(ActionEvent event) {
        nimi = projektiNimi.getText();
        aihe = projektiAihe.getText();
        kesto =  projektiKesto.getText();

        if (nimi.isEmpty()) {
            ModalController.closeStage(projektiNimi); //painettiin luo ilman nimeä --> poistutaan aliohjelmasta
        }else {
            Harakka harakka = new Harakka();
            harakka.luoProjekti(nimi, aihe, kesto);
            ModalController.closeStage(projektiNimi); //palauttaa projektin nimen
        }


    }

    @FXML
    void setAihe(KeyEvent event) {

    }

    @FXML
    void setKesto(KeyEvent event) {

    }

    @FXML
    void setNimi(KeyEvent event) {

    }

    /**
     * kun tullaa pois modaalisesta ikkunasta niin getResult palauttaa luodun projektin tiedot
     * jotka voidaan näyttää sitten pääikkunassa
     * @return
     */
    @Override
    public String getResult() {
        String vastaus = projektiNimi.getText();
        return vastaus; //palautetaan projektin nimi joka voidaan asettaa uuteen lehteen
    }

    /**
     * kun tullaan modaaliseen ponnahdysikkunaan niin mikä on näytettävien tietojen oletus
     * --> nyt parametrinä tuodaan projekti joten se voi olla tyhjä projekti koska luodaan uutta projektia
     * @param strg
     */
    @Override
    public void setDefault(String strg) {

    }



    @Override
    public void handleShown() {

    }


}